/*
 * Copyright (C) 2015 Alberto Mardegan <mardy@users.sourceforge.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import QtQuick 2.0
import Ubuntu.Components 1.3

Column {
    id: root

    property url organizerLink

    signal importRequested

    anchors.centerIn: parent
    width: Math.min(units.gu(60), parent.width)
    spacing: units.gu(2)

    Label {
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.margins: units.gu(1)
        text: i18n.tr("<a href=\"%1\">Open Flickr</a> to edit your last uploaded photos.").arg(organizerLink.toString())
        wrapMode: Text.Wrap
        textFormat: Text.StyledText
        onLinkActivated: Qt.openUrlExternally(link)
    }

    Label {
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.margins: units.gu(1)
        text: i18n.tr("No photos to upload. You can import photos from other applications by pressing the button below.")
        wrapMode: Text.Wrap
    }

    Button {
        anchors.horizontalCenter: parent.horizontalCenter
        width: units.gu(20)
        text: i18n.tr("Import photos")
        onClicked: root.importRequested()
    }
}
